"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.buildExecutor = void 0;
const tslib_1 = require("tslib");
const webpack_impl_1 = require("@nx/webpack/src/executors/webpack/webpack.impl");
const path_1 = require("path");
const generate_package_json_1 = require("../../utils/generate-package-json");
function buildExecutor(rawOptions, context) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        const options = Object.assign(Object.assign({ target: 'node', compiler: 'tsc', 
            // TODO:: Remove once the issues with the defaults are fixed
            // https://github.com/nrwl/nx/pull/20678
            webpackConfig: (0, path_1.join)(__dirname, 'webpack.config.js'), isolatedConfig: true }, rawOptions), { generatePackageJson: false });
        const { value } = yield (0, webpack_impl_1.default)(options, context).next();
        if (value.success) {
            (0, generate_package_json_1.generatePackageJson)(context, options, value.outfile, rawOptions.omitOptionalDependencies, rawOptions.generateLockFile);
        }
        return value;
    });
}
exports.buildExecutor = buildExecutor;
exports.default = buildExecutor;
//# sourceMappingURL=build.impl.js.map