"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getValidSecrets = void 0;
const devkit_1 = require("@nx/devkit");
function getValidSecrets(secrets) {
    if (!secrets) {
        return [];
    }
    if (!Array.isArray(secrets)) {
        secrets = Object.values(secrets).map((secret) => `${secret}=${secrets[secret]}`);
    }
    return secrets.map((secret) => {
        if (secret.includes('=') && secret.includes(':')) {
            return secret;
        }
        devkit_1.logger.warn(`"${secret}" is not a valid secret! It should be in the following format "ENV_VAR_NAME=SECRET:VERSION"`);
        return false;
    }).filter(Boolean);
}
exports.getValidSecrets = getValidSecrets;
//# sourceMappingURL=get-valid-secrets.js.map